beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questErotic3 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	

	state("initial") 
		onMsg("checkCondition", function(msg)
		
			-- check if questRomance3 has already started
			if getParent().questRomance3.getState() ~= "initial" then
				setState("done");
			end

			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_EROTIC),
					elaine.getRelationshipCondition(MIKE, REL_EROTIC)) >= 3)
		----------------
			then
				--elaine.cancelCurrentActivity();
				--mike.cancelCurrentActivity();
				
				-- go to talk position, elaine kisses mike
				mike.queueCommand("pm_talkCutscene", "talkCutscene", elaine, "questErotic3");
				-- elaine.queueCommand("pm_kissSexy", "kiss", mike, "Sexy", false);
				
				setState("talktome");
			end
		end )

	state("talktome")
		-- as soon as arrived - start dialog (interaction.talkCutscene sends talking)
		onMsg("talking", function(msg)
			if (msg.data=="questErotic3") then
				popupConversation("dialogErotic3");
				setState("donetalktome");
			end
		end )
		
	state("donetalktome")
		-- last dialog box clicked away
		onMsg("yes", function(msg)
			-- cancel
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelCurrentActivity();
			elaine.cancelCurrentActivity();
			setState("done");
			
			elaine.queueCommand("pm_kissSexy", "kiss", mike, "Sexy", false, true);
		end )
		
---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()
